import { ref } from 'vue';
import type PageContent from '@/components/components/pageContent.vue';

function usePageContent() {
    const contentRef = ref<InstanceType<typeof PageContent>>();
    // function handlePageDetail(urlId: number | [] | string) {
    //     // contentRef.value?.onPageDetail(urlId);
    //     // contentRef.value?.test();
    // }

    return {
        contentRef,
    };
}

export default usePageContent;
